ros-jazzy-mrpt-pointcloud-pipeline (2.3.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 25 Oct 2025 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.2.4-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 23 Jul 2025 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.2.3-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 21 Jul 2025 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.2.2-1noble) noble; urgency=high

  * FIX: remove usage of obsolete ament_target_dependencies()
  * Merge pull request #153 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/153> from dppp415/ros2
    Composable Nodes
  * Some fixes and demo
  * Copyright
  * Deleted duplicated code
  * Nodes mrpt_pointcloud_pipeline y mrpt_pf_localization are now composables
  * Contributors: Jose Luis Blanco-Claraco, dppp415

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 27 May 2025 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.2.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 11 Oct 2024 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.2.0-1noble) noble; urgency=high

  * Update URL entries in package.xml to each package proper documentation
  * ament linters: manually enable just cmake and xml linters
  * reformat clang-format with 100 column width
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 24 Sep 2024 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.1.1-1noble) noble; urgency=high

  * Remove temporary workaround in <depends> for buggy mrpt_libros_bridge package.xml
  * update dependencies
  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco
  * Remove temporary workaround in <depends> for buggy mrpt_libros_bridge package.xml
  * update dependencies
  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 01 Sep 2024 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.1.0-1noble) noble; urgency=high

  * Merge branch 'ros2' into wip/port-tps-astar
  * Merge branch 'ros2' into wip/port-tps-astar
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 07 Aug 2024 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.0.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 27 May 2024 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (2.0.0-1noble) noble; urgency=high

  * use namespaces for launch files
  * Use just one pipeline generator+filter definition file
  * split filtering into per-observation and final pipelines
  * generic launch for pipeline
  * Renamed pkg mrpt_local_obstacles: mrpt_pointcloud_pipeline to reflect new capabilities
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 27 May 2024 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (1.0.3-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (1.0.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (1.0.1-1noble) noble; urgency=high

  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 23 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (1.0.0-1noble) noble; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Fix build against mrpt2
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Jose-Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 29 Apr 2022 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.26-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 04 Oct 2019 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.25-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Oct 2019 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.24-1noble) noble; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Julian Lopez Velasquez

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 11 Apr 2019 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.23-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.22-1noble) noble; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 21 May 2018 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.21-1noble) noble; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.20-1noble) noble; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Contributors: Borys Tymchenko, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Apr 2018 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.18-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.17-1noble) noble; urgency=high

  * make catkin_lint clean
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos, Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.16-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 12 Dec 2016 23:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.15-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 05 Nov 2016 23:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.14-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 11 Sep 2016 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.13-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.12-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.11-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 20 Aug 2016 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.10-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.9-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.8-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.7-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 19 Jun 2016 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.6-1noble) noble; urgency=high

  * fix build with latest mrpt version
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 19 Mar 2016 23:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.5-1noble) noble; urgency=high

  * mrpt_pointcloud_pipeline: Fix wrong report of number of scan sources
  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Apr 2015 22:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.4-1noble) noble; urgency=high

  * First working version of the package
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 26 Dec 2014 23:00:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.3-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 18 Dec 2014 22:21:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 18 Dec 2014 10:49:00 -0000

ros-jazzy-mrpt-pointcloud-pipeline (0.1.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000


